# PSmartNotifieeRegistrar Class Reference

Implements a function similar to the PNotifier, but uses an "id" to link the caller and callee rather than using a pointer. More...

`#include <notifier_ext.h>`

List of all members.

## Public Member Functions

| PSmartNotifieeRegistrar ()
| ~PSmartNotifieeRegistrar ()
void | Init (void *obj)
unsigned | GetID () const

## Static Public Member Functions

static unsigned | RegisterNotifiee (void *obj)
static PBoolean | UnregisterNotifiee (unsigned id)
static PBoolean | UnregisterNotifiee (void *obj)
static void * | GetNotifiee (unsigned id)

## Protected Attributes

unsigned | m_ID

## Detailed Description

Implements a function similar to the PNotifier, but uses an "id" to link the caller and callee rather than using a pointer.

This has the advantage that if the pointer becomes invalid, the caller can gracefully fail the notification rather than simply crashing due to an invalid pointer access.

These classes were created to support of the XMPP classes

## Constructor & Destructor Documentation

PSmartNotifieeRegistrar::PSmartNotifieeRegistrar | ( |  | ) | `[inline]`

PSmartNotifieeRegistrar::~PSmartNotifieeRegistrar | ( |  | ) | `[inline]`

## Member Function Documentation

unsigned PSmartNotifieeRegistrar::GetID | ( |  | ) | const`[inline]`

static void* PSmartNotifieeRegistrar::GetNotifiee | ( | unsigned | id | ) | `[static]`

void PSmartNotifieeRegistrar::Init | ( | void * | obj | ) | `[inline]`

static unsigned PSmartNotifieeRegistrar::RegisterNotifiee | ( | void * | obj | ) | `[static]`

static PBoolean PSmartNotifieeRegistrar::UnregisterNotifiee | ( | void * | obj | ) | `[static]`

static PBoolean PSmartNotifieeRegistrar::UnregisterNotifiee | ( | unsigned | id | ) | `[static]`

## Member Data Documentation

unsigned PSmartNotifieeRegistrar::m_ID `[protected]`

The documentation for this class was generated from the following file:

- notifier_ext.h